<form name="form" novalidate ng-submit="form.$valid && vm.save()">
    <div id="top_of_dialog"><strong>Nuovo Cliente</strong></div>
    <div style="margin-top:15px">
        <table class="table table-bordered blockContainer showInlineTable equalSplit">
            <thead>
            <tr>
                <th class="blockHeader" colspan="2">Parametri di configurazione</th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td class="fieldLabel medium">
                    <label class="muted pull-right marginRight10px"><span
                            class="redColor"
                            ng-show="form.process.$invalid">*</span>CLIENTE</label>
                </td>
                <td class="fieldValue medium">
                    <div class="row-fluid"><span class="span10">
                        <select ng-model="vm.selectedClient"
                                ng-options="item.companyName for item in vm.values.anagClient track by item.idAnagClient"
                                required
                                ng-if="!vm.newClient">
                        </select>
                        <button class="btn addButton"
                                ng-click="vm.newClient=!vm.newClient"
                                ng-disabled="vm.newClient">
                                <span class="glyphicon glyphicon-plus"></span>
                            Nuovo
                        </button>
                        <!--<input type="text" ng-model="companyName"
                               ng-if="newClient">-->
                        <button class="btn addButton"
                                ng-click="vm.newClient=!vm.newClient"
                                ng-disabled="!vm.newClient"><span
                                class="glyphicon glyphicon-list"></span></button>
                        </span>
                    </div>

                </td>
            </tr>
            <tr ng-if="vm.newClient">
                <td class="fieldLabel medium">
                    <label class="muted pull-right marginRight10px"><span class="redColor" ng-show="form.process.$invalid">*</span>CODICE</label>
                </td>
                <td class="fieldValue medium">
                    <div class="row-fluid"><span class="span10"><input class="form-control span4" id="code" placeholder="Inserisci il codice" ng-model="vm.selectedCode" required></span></div>
                </td>
            </tr>
            <tr ng-if="vm.newClient">
                <td class="fieldLabel medium">
                    <label class="muted pull-right marginRight10px"><span class="redColor" ng-show="form.process.$invalid">*</span>NOME PROVIDER</label>
                </td>
                <td class="fieldValue medium">
                    <div class="row-fluid"><span class="span10"><input class="form-control span4" id="name" placeholder="Inserisci il nome" ng-model="vm.selectedProviderName" required></span></div>
                </td>
            </tr>
            <tr ng-if="vm.newClient">
                <td class="fieldLabel medium">
                    <label class="muted pull-right marginRight10px"><span class="redColor" ng-show="form.process.$invalid">*</span>TERRITORIO</label>
                </td>
                <td class="fieldValue medium">
                    <div class="row-fluid"><span class="span10">
                        <select name="country" id="country"
                                ng-model="vm.selectedCountry" ng-options="item.name for item in vm.values.countries track by item.idCountry" required></select></span></div>
                </td>
            </tr>
            <tr ng-if="vm.newClient">
                <td class="fieldLabel medium">
                    <label class="muted pull-right marginRight10px"><span class="redColor" ng-show="form.process.$invalid">*</span>CODICE IVA</label>
                </td>
                <td class="fieldValue medium">
                    <div class="row-fluid"><span class="span10"><input class="form-control span4" id="vat" placeholder="Inserisci il codice IVA" ng-model="vm.selectedVatCode" required></span></div>
                </td>
            </tr>
            <tr ng-if="vm.newClient">
                <td class="fieldLabel medium">
                    <label class="muted pull-right marginRight10px"><span class="redColor" ng-show="form.process.$invalid">*</span>DESCRIZIONE IVA</label>
                </td>
                <td class="fieldValue medium">
                    <div class="row-fluid"><span class="span10"><input class="form-control span4" id="vatDescription" placeholder="Inserisci la descrizione (opzionale)" ng-model="vm.selectedVatDescription"></span></div>
                </td>
            </tr>
            <tr>
                <td class="fieldLabel medium">
                    <label class="muted pull-right marginRight10px"><span class="redColor" ng-show="form.process.$invalid">*</span>DSP</label>
                </td>
                <td class="fieldValue medium">
                    <div class="row-fluid"><span class="span10">
                        <select ng-model="vm.selectedDsp"
                                ng-options="item.name for item in vm.values.dsp | filter: vm.filterDsp" required>
                        </select></span></div>
                </td>
            </tr>
            <tr>
                <td class="fieldLabel medium">
                    <label class="muted pull-right marginRight10px"><span class="redColor" ng-show="form.process.$invalid">*</span>LICENZE</label>
                </td>
                <td class="fieldValue medium">
                    <div class="row-fluid"><span class="span10"><ul style="height:100px;overflow-y:auto" ng-hide="vm.hideLicenceList"><li ng-repeat="item in vm.licence.licences"><span style="cursor:pointer" class="glyphicon glyphicon-remove" ng-show="licence.licences.length > 1" ng-click="eraseLicence(item.index)"></span> &nbsp;&nbsp; {{ vm.getLicence(item) }} <span style="cursor:pointer;float:right" class="glyphicon glyphicon-plus" ng-show="vm.licence.licences.length - 1 == $index" ng-click="vm.hideLicList(true)"></span></li>
                            </ul>
                            <div ng-show="vm.hideLicenceList" style="width:400px">
                                <form class="form-horizontal">
                                    <div class="control-group">
                                        <label class="control-label" for="licCode"><span class="redColor" ng-show="vm.codeInvalid">*</span>Codice</label>
                                        <div class="controls">
                                            <input ng-model="vm.licenceCode" id="licCode" style="width:200px;height:25px">
                                        </div>
                                    </div>
                                    <div class="control-group">
                                        <label class="control-label"><span class="redColor" ng-show="vm.fromInvalid">*</span>Validit&agrave da</label>
                                        <div class="controls">
                                            <div class="input-append date" id="datepickerFrom" data-date-format="mm-yyyy">
                                                <input name="date" ng-model="vm.selectedPeriodFrom" style="width:173px;height:25px"> <span class="add-on" style="height:25px"><i class="icon-th"></i></span></div>
                                            <script type="text/javascript">
                                                $("#datepickerFrom").datepicker({
                                                  language: "it",
                                                  format: "dd-mm-yyyy",
                                                  viewMode: "days",
                                                  minViewMode: "days",
                                                  orientation: "bottom auto",
                                                  autoclose: "true"
                                                });
                                            </script>
                                        </div>
                                    </div>
                                    <div class="control-group">
                                        <label class="control-label"><span class="redColor" ng-show="toInvalid">*</span>Validit&agrave a</label>
                                        <div class="controls">
                                            <div class="input-append date" id="datepickerTo" data-date-format="mm-yyyy">
                                                <input name="date" ng-model="vm.selectedPeriodTo" style="width:173px;height:25px" ng-disabled="vm.automaticRenew"> <span class="add-on" style="height:25px"><i class="icon-th"></i></span></div>
                                            <script type="text/javascript">
                                                $("#datepickerTo").datepicker({
                                                  language: "it",
                                                  format: "dd-mm-yyyy",
                                                  viewMode: "days",
                                                  minViewMode: "days",
                                                  orientation: "bottom auto",
                                                  autoclose: "true"
                                                });
                                            </script>
                                        </div>
                                        <input type="checkbox" ng-model="vm.automaticRenew"> rinnovo automatico</div>
                                        <button type="button"
                                                class="btn btn-default"
                                                style="cursor:pointer;float:right;margin-top:30px"
                                                ng-click="vm.addClient()"
                                                ng-disabled="form.$invalid">
                                            <span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;Aggiungi
                                        </button>
                                        <button type="button"
                                                class="btn btn-default"
                                                style="cursor:pointer;float:left;margin-top:30px"
                                                ng-show="vm.licencesNumber() > 0"
                                                ng-click="vm.hideLicList(false)">
                                            <span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;Annulla
                                        </button>
                                </form></div>
                            </span>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div style="margin-top:15px">
        <table width="100%">
            <tr>
                <td>
                    <button type="button" class="btn addButton" ng-click="vm.cancel()"><span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong></button>
                </td>
                <td align="right">
                    <button type="submit"
                            ng-disabled="form.$invalid || vm.licencesNumber() < 1" class="btn addButton"><span class="glyphicon glyphicon-plus"></span>&nbsp;&nbsp;<strong>Aggiungi</strong></button>
                </td>
            </tr>
        </table>
    </div>
</form>
<script type="text/ng-template" id="errorDialogId">
    <div id="target">
        <strong>{{ngDialogData}}</strong>
    </div>
</script>
<script type="text/javascript">
  $("#top_of_dialog")[0].scrollIntoView(!0);
</script>